/*
 *        spRwPlugin.h
 */

#ifndef __SPRWPLUGIN_H
#define __SPRWPLUGIN_H

#include <sp/spWave.h>
#include <sp/spPlugin.h>

#ifdef __cplusplus
extern "C" {
#endif

#define SP_PLUGIN_RW "rw 1.1"
    
typedef struct _spRwPluginRec spRwPluginRec;

#define SP_RW_PLUGIN_DEFAULT_DRIVER (-1)

    
#if defined(MACOS)
#pragma import on
#endif

extern spBool spIsRwPlugin(spPlugin *plugin);
extern spBool spIsAudioDriverPlugin(spPlugin *plugin);
extern spBool spIsSupportedByPluginForWrite(spPlugin *plugin, const char *filename);
    
#if defined(MACOS)
#pragma import off
#endif

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPRWPLUGIN_H */
